%define lib_major  4
%define api        1.0
%define libname    %mklibname dee %{api} %{lib_major}
%define gi_name    %mklibname dee-gir %{api}
%define libnamedev %mklibname dee -d

Name:          dee
Version:       1.2.7
Release:       %mkrel 25
Summary:       Model to synchronize mutiple instances over DBus
License:       LGPLv2+
Group:         System/Libraries
URL:           https://launchpad.net/dee
Source0:       http://launchpad.net/dee/1.0/%{version}/+download/dee-%{version}.tar.gz
# from fedora:
Patch0:        dee-1.2.7-gcc6-fixes.patch
Patch1:        dee-1.2.7-deprecated-g_type_class_add_private.patch
# from debian:
Patch10:       build_no_werror.patch
Patch11:       vapi-skip-properties.patch
Patch12:       icu-pkg-config.patch
Patch13:       strict-prototype.patch
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(python3)
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: icu-devel
Requires:      python3dist(pygobject)

%description
Libdee is a library that uses DBus to provide objects allowing you to create
Model-View-Controller type programs across DBus. It also consists of utility
objects which extend DBus allowing for peer-to-peer discoverability of known
objects without needing a central registrar.

%package -n %{libname}
Summary:       Model to synchronize mutiple instances over DBus - Shared lib
Group:         System/Libraries

%description -n %{libname}
Libdee is a library that uses DBus to provide objects allowing you to create
Model-View-Controller type programs across DBus. It also consists of utility
objects which extend DBus allowing for peer-to-peer discoverability of known
objects without needing a central registrar.

%package -n %{gi_name}
Summary:       GObject Introspection interface library for %{name}
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package -n %{libnamedev}
Summary:       Libraries and include files for developing with libdee
Group:         Development/C
Requires:      %{libname} = %{version}
Requires:      %{gi_name} = %{version}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains files that are needed to build applications.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static PYTHON=%{__python3}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/dee-tool
%{python3_sitearch}/gi/overrides/Dee.*
%{python3_sitearch}/gi/overrides/__pycache__/Dee.*

%files -n %{libname}
%{_libdir}/libdee-%{api}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Dee-%{api}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/dee-*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*


%changelog
* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.2.7-25.mga8
+ Revision: 1650879
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 1.2.7-24.mga8
+ Revision: 1601017
- rebuild for icu 67.1

* Sun Apr 05 2020 wally <wally> 1.2.7-23.mga8
+ Revision: 1564825
- add fixes from Fedora and Debian
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 1.2.7-22.mga8
+ Revision: 1534573
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 1.2.7-21.mga8
+ Revision: 1449437
- rebuild for new icu 65.1

* Fri Sep 20 2019 daviddavid <daviddavid> 1.2.7-20.mga8
+ Revision: 1444048
- rebuild for python3.8

* Sat Aug 24 2019 daviddavid <daviddavid> 1.2.7-19.mga8
+ Revision: 1431752
- port to Python 3

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.2.7-18.mga7
+ Revision: 1346089
- rebuild for icu

* Mon Aug 27 2018 daviddavid <daviddavid> 1.2.7-17.mga7
+ Revision: 1255086
- rebuild for new icu
+ kekepower <kekepower>
- Use make_install

* Fri Dec 29 2017 wally <wally> 1.2.7-15.mga7
+ Revision: 1186967
- rebuild for new icu

* Thu Sep 28 2017 cjw <cjw> 1.2.7-14.mga7
+ Revision: 1161015
- fix build with gcc 7

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.2.7-13.mga6
+ Revision: 1092688
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 1.2.7-12.mga6
+ Revision: 1015036
- Rebuild due to the new ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.2.7-11.mga6
+ Revision: 917822
- rebuild for icu

* Fri Jul 24 2015 cjw <cjw> 1.2.7-10.mga6
+ Revision: 856783
- rebuild for icu 55

* Sun Jun 28 2015 wally <wally> 1.2.7-9.mga6
+ Revision: 847169
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.2.7-8.mga5
+ Revision: 742943
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1.2.7-7.mga5
+ Revision: 731117
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1.2.7-6.mga5
+ Revision: 678706
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.2.7-5.mga5
+ Revision: 628153
- Rebuild for new Python

* Sat Apr 05 2014 wally <wally> 1.2.7-4.mga5
+ Revision: 611857
- rebuild for new icu

* Sat Nov 02 2013 fwang <fwang> 1.2.7-3.mga4
+ Revision: 548856
- add requires on python-gi

* Mon Oct 21 2013 umeabot <umeabot> 1.2.7-2.mga4
+ Revision: 537666
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 1.2.7-1.mga4
+ Revision: 487487
- new version 1.2.7

* Sun May 26 2013 fwang <fwang> 1.0.14-5.mga4
+ Revision: 427966
- rebuild for new icu

* Fri Jan 11 2013 umeabot <umeabot> 1.0.14-4.mga3
+ Revision: 348717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1.0.14-3.mga3
+ Revision: 316640
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1.0.14-2.mga3
+ Revision: 314724
- rebuild for new icu

* Sat Sep 08 2012 fwang <fwang> 1.0.14-1.mga3
+ Revision: 289860
- new version 1.0.14

* Sun Jun 10 2012 fwang <fwang> 1.0.10-1.mga3
+ Revision: 259244
- br icu
- new version 1.0.10

* Sun Jan 29 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 202850
- update file list
- update typelib api
- bump libmajor
- new version 1.0.0

* Sat Oct 01 2011 fwang <fwang> 0.5.22-2.mga2
+ Revision: 150791
- br dbus-glib for pkconfig file

* Sat Oct 01 2011 fwang <fwang> 0.5.22-1.mga2
+ Revision: 150775
- correct libname
- imported package dee

